#
# spec file for package yast2-network (Version 2.9.57)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  yast2-country yast2-devel-packages yast2-installation

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils curl dejagnu doxygen expect gcc gdbm gettext libtool liby2util liby2util-devel openslp openslp-devel perl perl-XML-Writer perl-gettext popt-devel rpm tcl update-desktop-files yast2 yast2-core yast2-core-devel yast2-country yast2-devtools yast2-installation yast2-packagemanager yast2-packagemanager-devel yast2-perl-bindings yast2-testsuite

Name:         yast2-network
Version:      2.9.57
Release:      0.2
License:      GPL
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-network-2.9.57.tar.bz2
prefix:		/usr
Requires:     yast2 sysconfig yast2-country yast2-inetd
PreReq:       /bin/rm
Provides:     y2c_lan y2c_dial yast2-config-adsl y2c_adsl
Obsoletes:    y2c_lan y2c_dial yast2-config-adsl y2c_adsl
Provides:     yast2-lib-network yast2-config-network
Obsoletes:    yast2-lib-network yast2-config-network
Provides:     yast2-trans-network yast2-trans-adsl
Obsoletes:    yast2-trans-network yast2-trans-adsl
Provides:     y2t_lan y2t_adsl y2t_dial
Obsoletes:    y2t_lan y2t_adsl y2t_dial
Summary:      YaST2 - Network Configuration

%description
This package contains the YaST2 component for network configuration.



Authors:
--------
    Michal Svec <msvec@suse.cz>

%prep
%setup -n yast2-network-2.9.57

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done
%ifarch s390 s390x
/bin/rm -f $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/dsl.desktop
/bin/rm -f $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/isdn.desktop
/bin/rm -f $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/modem.desktop
%endif
/bin/rm -f $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/network.desktop
/bin/rm -f $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/provider.desktop
# 36936: remove bad translation (workaround)
sed -i -e '/^Name\[de\]/d' ${RPM_BUILD_ROOT}/%{prefix}/share/applications/YaST2/routing.desktop

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
# temporary hack (#24842)

%post
/bin/chown -f root:root /etc/sysconfig/network/ifcfg-wlan* || true
/bin/chmod -f 0600 /etc/sysconfig/network/ifcfg-wlan* || true

%files
%defattr(-,root,root)
%{prefix}/lib/YaST2/bin/*
/usr/share/YaST2/data/*
/usr/share/YaST2/include/network
/usr/share/YaST2/clients/*.ycp
/usr/share/YaST2/modules/*.ycp
/usr/share/YaST2/modules/*.ybc
%{prefix}/share/applications/YaST2/*.desktop
/usr/share/YaST2/scrconf/*.scr
%doc %{prefix}/share/doc/packages/yast2-network

%changelog -n yast2-network
* Mon Jun 28 2004 - msvec@suse.cz
- don't show writing progress (#42248)
- use by-id naming for IUCV devices (#42212)
- after update fix possibly wrong permissions (#24842)
- updated s390 card list (hare)
- 2.9.57
* Wed Jun 23 2004 - msvec@suse.cz
- QETH devices detection changed (mvidner, #41461)
- preliminary support for LCS devices (s390)
- 2.9.56
* Fri Jun 18 2004 - mvidner@suse.cz
- Correctly parse module and options to fix proposal when
  MAC addresses are unknown (#42203).
- 2.9.55
* Fri Jun 18 2004 - arvin@suse.de
- fake check for online patches (bug #42177)
- 2.9.54
* Thu Jun 17 2004 - mvidner@suse.cz
- Make the ifcfg file unreadable (chmod 600) if _any_ of the wireless
  keys is specified (#24842).
- 2.9.53
* Wed Jun 16 2004 - mvidner@suse.cz
- Fixed changing the host name during the installation
  after the network has already been set up (#42102).
- 2.9.52
* Wed Jun 16 2004 - mvidner@suse.cz
- Fixed an untranslated heading in ISDN setup (#42089).
- 2.9.51
* Thu Jun 10 2004 - mvidner@suse.cz
- VNC: Fixed hanging when starting KDM (#41611).
- VNC: Tell the user if he must restart xdm (#40458).
- 2.9.50
* Fri Jun 04 2004 - msvec@suse.cz
- fixed coldplugged HW on s390 (#40587)
- fixed QETH params writing (#41461)
- fixed IUCV detection (#41525)
- 2.9.49
* Fri May 28 2004 - mvidner@suse.cz
- Require kdebase3 or fvwm2 instead of windowmanager
  to make VNC work (#40155).
- 2.9.48
* Thu May 27 2004 - mvidner@suse.cz
- Resolver: fixed restarting DHCP clients (#41303).
- 2.9.47
* Thu May 27 2004 - nashif@suse.de
- Fixed bug where autoyast config for network does not select
  correct interface (#41065)
- Parse autoyast data correctly to show configured devices with
  ids (mac/pci bus)
* Mon May 24 2004 - mvidner@suse.cz
- Fixed /etc/inittab broken by last fix of VNC administration (#40458).
- 2.9.46
* Fri May 21 2004 - nashif@suse.de
- return right device name when cloning with autoyast.
* Wed May 19 2004 - mvidner@suse.cz
- Another fix of hwcfg-{hsi,qeth}-* (#40692#c15)
- 2.9.45
* Tue May 18 2004 - msvec@suse.cz
- proper CTC devices support (#40692)
- show busid for s390 netcards (#40587)
- fixed virtual aliases deleting (#40597)
- don't use by-MAC identification on s390 (#38819)
- network proposal by MAC (#40088, #40096)
- improved remote administration (#40458)
- 2.4.44
* Fri May 14 2004 - mvidner@suse.cz
- fixed committing isdn providers (#39110)
- 2.9.43
* Fri May 14 2004 - msvec@suse.cz
- further s390 improvements (#39456)
- 2.9.42
* Thu May 13 2004 - mvidner@suse.cz
- fixed switching resolv.conf from DHCP to static config (#38834)
- 2.9.41
* Thu May 13 2004 - mvidner@suse.cz
- fixed saving empty WEP keys (#40431)
- 2.9.40
* Wed May 12 2004 - msvec@suse.cz
- added custom s390 dialogs (#39456)
- preserve additional DNS searches (#40012)
- make WLAN Master mode functional (#40431)
- propose install.inf netcard if defined (#40088, #39130)
- use bus_hwcfg hwinfo BUS identification field (#39456)
- drop UML hardware detection hack, it works now (#39945)
- save the 3rd modem init string (#40191)
- drop obsolete s390 chandev stuff
- 2.9.39
* Tue May 04 2004 - mvidner@suse.cz
- merged proofread messages
- 2.9.38
* Thu Apr 29 2004 - msvec@suse.cz
- "detect" undetectable UML network device (#39521)
- resurrected virtual aliases support (#39657)
- updated list of hwinfo controllers (#39456)
- fixed parallel build and updated testsuite
- 2.9.37
* Tue Apr 27 2004 - mvidner@suse.cz
- reduced operation modes to managed, ad-hoc and master
- removed NWID and nickname (all #39458 c3)
- 2.9.36
* Mon Apr 26 2004 - msvec@suse.cz
- XPNet detection support (#35867)
- 2.9.35
* Wed Apr 21 2004 - mvidner@suse.cz
- Added comments to base modules
* Mon Apr 19 2004 - mvidner@suse.cz
- WEP: choose key type also in the main dialog (#35857 c19)
  fixed the Back button
  abbreviated Number as No.
- 2.9.34
* Mon Apr 19 2004 - mvidner@suse.cz
- added a dialog for multiple WEP keys (#35857)
- proofread some more messages
- inst_net_setup: ignore HWaddr if empty
- export forgotten domain (#38770)
- 2.9.33
* Wed Apr 07 2004 - arvin@suse.de
- start capi during Internet test also for capi based dsl
  connections (bug #38540)
* Tue Apr 06 2004 - msvec@suse.cz
- use ifconfig -a to get interfaces (#38330)
- fixed update of /etc/hosts (#38439)
- 2.9.31
* Mon Apr 05 2004 - msvec@suse.cz
- use BUSID when MAC=00:00:00:00:00:00 (partly #38392)
- 2.9.30
* Mon Apr 05 2004 - msvec@suse.cz
- fixed shortcuts in ISDN dialog (#38216)
- 2.9.29
* Mon Apr 05 2004 - arvin@suse.de
- don't setup and shutdown network if it has already been setup
  before yast is started (bug #38354)
- 2.9.28
* Mon Apr 05 2004 - msvec@suse.cz
- workaround bad german routing.desktop translation (#36936)
- fixed syntax errors now reported by new core
- 2.9.27
* Sun Apr 04 2004 - nashif@suse.de
- create network config files using mac or pci ids when
  auto-installing (#37186)
- fixed module parsing due to change in data structure in
  auto-install mode
- 2.9.26
* Fri Apr 02 2004 - msvec@suse.cz
- further smartlink-softmodems fixes (#37335)
- changed license to GPL
- 2.9.25
* Fri Apr 02 2004 - msvec@suse.cz
- improved smartlink-softmodems support (#37335)
- added more milestones to debug #38031
- 2.9.24
* Thu Apr 01 2004 - msvec@suse.cz
- reintroduce unique key writing to map device to cfg
- better naming for hotplug devices (#37666, #35225)
- show shorter netcard name in overvew (#36147)
- 2.9.23
* Wed Mar 31 2004 - msvec@suse.cz
- dropped testing desktop entries (#37522)
- fixed STARTMODE and MTU writing (#37516)
- better smartlink-softmodems support (#37335)
- replace type with netcard name in overview table (#36147)
- fixed summary to properly show configured modems (#37744)
- 2.9.22
* Mon Mar 29 2004 - msvec@suse.cz
- fixed DSL configuration write (#36629)
- device textentry now in address dialog (#36147)
- fixed HW mapping for old-style ifcfg-files (#36910)
- fixed missing translation (#37144)
- 2.9.21
* Mon Mar 29 2004 - arvin@suse.de
- implemented setup of nameserver during second stage of
  installation (bug #36957)
- 2.9.20
* Fri Mar 26 2004 - msvec@suse.cz
- changed default hostname from linux.local -> linux.site (#36949)
- 2.9.19
* Tue Mar 23 2004 - mvidner@suse.cz
- fixed enabling VNC administration (#31004, #36748)
- 2.9.18
* Mon Mar 22 2004 - msvec@suse.cz
- preliminary XPNet devices support (#35867)
- correct providers desktop entry (#36633)
- never rmmod kernel modules (#36478)
- further improve the naming (#36147)
- possibility to change proposed names (#36147)
- simplified summary output (#35647)
- properly removed old hostname from /etc/hosts
- 2.9.17
* Thu Mar 18 2004 - arvin@suse.de
- avoid flickering mouse cursor during Internet test (bug #36442)
- 2.9.16
* Wed Mar 17 2004 - msvec@suse.cz
- added custom provider texts from msommer
- 2.9.15
* Tue Mar 16 2004 - msvec@suse.cz
- offer possibility to change configuration name (#36147)
- properly write hostname to /etc/hosts (#22825)
- fixed kernel module selection
- 2.9.14
* Tue Mar 16 2004 - msvec@suse.cz
- better device selection for installation (#35624)
- 2.9.13
* Mon Mar 15 2004 - msvec@suse.cz
- use MAC address as a primary identification (#35731)
- stop using UNIQUE numbers for ifcfg and hwcfg mapping
- always use BUSID for HW configuration
- write hostname to /etc/hosts (#22825)
- dropped unused desktop entries (#35618)
- proper focus in proxy (#35614)
- fixed deleting of modem and DSL devices (#36079)
- fixed testsuite
- 2.9.12
* Wed Mar 10 2004 - msvec@suse.cz
- fixed modem and DSL packages names
- 2.9.10
* Wed Mar 10 2004 - sh@suse.de
- Migration to new wizard
- V 2.9.9
* Tue Mar 09 2004 - msvec@suse.cz
- added missing helps
- minor fixes to WLAN configuration
- 2.9.8
* Mon Mar 08 2004 - msvec@suse.cz
- use the new device naming (#33073)
- set title icons
- 2.9.7
* Fri Mar 05 2004 - msvec@suse.cz
- simple device interface (GetValue, SetValue)
- possibility to set MTU (#34397, #20035)
- possibility do change startmode (#24926)
- don't always start smpppd and KInternet (#26382)
- don't run KInternet in ncurses (#27891)
- run KInternet according to the number of connections (#29475)
- run|stop kinternet, if DISPLAY and (not)running (#14320)
- don't allow to delete default provider (#17497)
- install required packages in the installation proposals (#31536)
- allow to delete proposed network cards (#34859)
- drop resolv.conf header if not needed
- correctly delete files on disk
- fixed hosts writing (#35349)
- added strict type casts
- proof-read messages
- 2.9.6
* Mon Feb 23 2004 - msvec@suse.cz
- reduced neededforbuild
- fixed network proposal creation
- fixed writing of kernel modules
- resurrected virtual aliases support (#6627)
- correct module name for Apple gmac (#34687)
- sort now uses < because of the switch to std::sort <mvidner>
- use Sequencer and Service modules
- added wireless expert settings (#34873)
- added more milestones
- 2.9.5
* Mon Feb 16 2004 - msvec@suse.cz
- syntax fixes in the detection code
- correct test for providers modification (#34419)
- 2.9.4
* Tue Feb 10 2004 - msvec@suse.cz
- typo in shellcommand (may affect #29452, #33049)
- 2.9.3
* Sat Feb 07 2004 - msvec@suse.cz
- ISDN compiles and seems to work
- NVidia cards should be supported now (#25531)
- 2.9.2
* Tue Jan 06 2004 - msvec@suse.cz
- sources restructured and cleaned up
- new interpreter updates (ISDN not functional yet)
- 2.9.1
* Tue Nov 11 2003 - msvec@suse.cz
- dummy device support (#15960)
- preliminary USB Network support (#22739)
- replace obsolete require calls (#31673)
- allow to select a different card (#32450)
- prefill "http://" in proxy fields (#31269)
- don't allow to delete a provider which is used (#17497)
- preliminary virtual aliases support (read|write and edit|delete so far)
- allow "default" to be entered as a route destination (#21398)
- fixed concurrent providers usage during installation (#31508)
- fix netcard y2cc label (#33802)
- automatic DNS support (#27955)
- cleanup of redundant stuff
- 2.9.0
* Tue Sep 23 2003 - msvec@suse.cz
- ignore partially activated interfaces during Detection (#29452)
- 2.8.43
* Mon Sep 22 2003 - msvec@suse.cz
- install required packages for winmodems (#31443, #31471)
- install all required packages after DSL configuration (#31536)
- fixed starting of kinternet <kkeil@suse.de>
- updated testsuite
- 2.8.42
* Sun Sep 21 2003 - kkeil@suse.de
- fix start of kinternet,option must be --quiet not -quiet (#31322)
* Sun Sep 21 2003 - arvin@suse.de
- run 'rcnetwork start' before online test during update
  (bug #31466)
* Sun Sep 21 2003 - msvec@suse.cz
- fixed default baud rate value (#31442)
- added more milestone calls to proposal clients
- save the original providers for later comparison (#31322)
- disable IPADDR prefilling (#31369)
- 2.8.40
* Sun Sep 21 2003 - kkeil@suse.de
- fix Firewall setting lookup (#31322)
- if the interface was deleted, delete also the firewall entry
* Thu Sep 18 2003 - arvin@suse.de
- shut down temporary network before online test during update
  (bug #31030)
* Wed Sep 17 2003 - arvin@suse.de
- better helptext for vnc administration (bug #31085)
* Tue Sep 16 2003 - msvec@suse.cz
- don't detect unknown devices (#31022)
- prefer cards with a driver during proposal (#30993)
- make PCI modems known (#31022)
- 2.8.36
* Mon Sep 15 2003 - adrian@suse.de
- allow also remote root login in remote admin mode
- 2.8.35
* Mon Sep 15 2003 - kkeil@suse.de
- fix handling of BACK key, better default focus (#30104)
- fix none translated driver descriptions (#30857)
- 2.8.34
* Fri Sep 12 2003 - msvec@suse.cz
- added more logging to simplify further bugfixing
- 2.8.33
* Fri Sep 12 2003 - arvin@suse.de
- fixed loading of modules for network setup during 2nd stage
  installation (bug #29945)
- 2.8.32
* Wed Sep 10 2003 - msvec@suse.cz
- fixed log erros possible affecting the detection (#30424)
- 2.8.31
* Mon Sep 08 2003 - kkeil@suse.de
- fix lost of firewall settings (#29103)
- do not start smpppd and kinternet if no isdn interface was
  configured (#18831)
- run drdsl if a new DSL-ISDN card was configured (#30294)
* Mon Sep 08 2003 - msvec@suse.cz
- hardware detection emulation for AVM DSL cards (#30294)
- 2.8.30
* Mon Sep 08 2003 - msvec@suse.cz
- skip nForce2 network cards, no driver available (#25531)
- 2.8.29
* Mon Sep 08 2003 - msvec@suse.cz
- drop restart of the pcmcia subsystem (#25604)
- 2.8.28
* Fri Sep 05 2003 - msvec@suse.cz
- added more milestone logging to the detection process
- 2.8.27
* Fri Sep 05 2003 - msvec@suse.cz
- proof read texts
- 2.8.26
* Thu Sep 04 2003 - arvin@suse.de
- fixed encoding of logs in internet test (bug #29500)
* Thu Sep 04 2003 - msvec@suse.cz
- use dhcpcd-test script for testing of DHCP (#29945)
- changed DSL default for CZ to PPtP
- fixed proxy help text (#29948)
- fixed Myrinet subclass ID
- 2.8.25
* Wed Sep 03 2003 - msvec@suse.de
- fixed typo (#29905)
- 2.8.23
* Tue Sep 02 2003 - msvec@suse.de
- proxy url must contain the scheme identifier (#29754)
- 2.8.22
* Tue Sep 02 2003 - arvin@suse.de
- better text for vnc remote administration (bug #29717)
* Tue Sep 02 2003 - nashif@suse.de
- fixed testsuite
- 2.8.21
* Tue Sep 02 2003 - nashif@suse.de
- Fixed kernel module handling in normal and autoinst mode
- Added Package function to auto client
- 2.8.20
* Mon Sep 01 2003 - msvec@suse.cz
- properly support detected wlan devices (#29506)
- 2.8.19
* Sun Aug 31 2003 - arvin@suse.de
- use Popup::ConfirmAbort
* Sat Aug 30 2003 - arvin@suse.de
- moved reactivation of network here (bug #29561)
* Fri Aug 29 2003 - visnov@suse.de
- CommandLine::Plain2Rich -> RichText::Plain2Rich
* Thu Aug 28 2003 - msvec@suse.cz
- don't shut down network interface during detection (#29452)
- don't show error messages in case detection isn't started (#29582)
- don't make modules.conf entries for hotpluggable hardware (#29547)
- improve DSL detection message (#29576)
- 2.8.18
* Wed Aug 27 2003 - msvec@suse.cz
- confirm hardware detection in manual mode (#26515)
- 2.8.15
* Mon Aug 25 2003 - kkeil@suse.de
- new hardware dialog for ISDN based on CDB data
- firewall has now 2 checkboxes
* Thu Aug 21 2003 - msvec@suse.de
- suppress error message if pcmcia is not installed (#29195)
- propose empty lan config in case DSL pppoe is detected (#23662)
- load modules before detection takes place (#24462)
- fixed more pcmcia devices naming (#28314)
- DSL PPTP support (#18407)
- 2.8.13
* Wed Aug 20 2003 - jsuchome@suse.de
- removed redundant "initialization dialog" (#28779)
- 2.8.12
* Tue Aug 19 2003 - msvec@suse.cz
- better WLAN help text (#28598)
- 2.8.11
* Mon Aug 18 2003 - nashif@suse.de
- Fixed dhcp configuration in autoinst mode
- 2.8.9
* Tue Aug 12 2003 - arvin@suse.de
- added remote administration proposal
* Mon Aug 11 2003 - jsrain@suse.de
- merged texts from proofread
- 2.8.7
* Fri Aug 08 2003 - arvin@suse.de
- variable handling of release notes url
- added desktop files
* Mon Aug 04 2003 - jsrain@suse.de
- fixed testsuite
* Mon Aug 04 2003 - arvin@suse.de
- fixed return value in inst_netprobe
* Fri Aug 01 2003 - msvec@suse.cz
- read /root/.curlrc only if present
- 2.8.10
* Fri Aug 01 2003 - msvec@suse.de
- drop yast2-network-instsys package
- added inst_netprobe installation client
- don't expose password in plain text (#27459)
- change wireless devices to wlan* (#28048)
- basic more IPs support
- 2.8.4
* Tue Jul 22 2003 - msvec@suse.cz
- additional DHCP options dialog (improvement 31.2)
- cleanup obsolete virtual aliases support
- improved abort handling in routing setup
- improved network config handling
- preliminary more IPs support
- 2.8.3
* Thu Jul 10 2003 - msvec@suse.de
- proxy: better helps (#24803)
- proxy: input checking (#18791)
- lan: coordinate proposal with dsl (#17631)
- add additional arcnet modules (#26858)
- updated testsuite
- 2.8.2
* Fri Jun 27 2003 - msvec@suse.de
- fixed writing of modules.conf options (#26217)
- check wireless key (#24839)
- 2.8.1
* Thu Jun 26 2003 - msvec@suse.de
- provider: recognize provider change in ncurses (#25432)
- proxy: allow '\' in the username field (#27444)
- lookup hostname during proposal (#21009)
- sync help with widgets (#25106)
- dns: restart only dhcp services
- several updates and bugfixes
- minimal dhcp detection
- 2.8.0
* Thu Jun 12 2003 - arvin@suse.de
- show several log files after internet test (bug #25057)
- better interface of Internet module
* Tue May 27 2003 - arvin@suse.de
- handle no_you switch in content file
* Wed Mar 19 2003 - arvin@suse.de
- reinitialize some values in Internet module
* Fri Mar 14 2003 - arvin@suse.de
- preferable test dial up connection during internet test (bug
  #25264)
* Fri Mar 14 2003 - msvec@suse.de
- change permissions of files containing wireless keys (#24842)
- 2.7.34
* Thu Mar 13 2003 - msvec@suse.de
- allow to set autodetected NICs as WLAN (#25234)
- 2.7.33
* Wed Mar 12 2003 - msvec@suse.de
- get around CallFunction scope problems (#25116)
- 2.7.32
* Tue Mar 11 2003 - msvec@suse.de
- fixed reading of unknown devices (#24972)
- reload smpppd after DSL config (#24663)
- added pcmcia subsystem restart (#23935)
- 2.7.31
* Mon Mar 10 2003 - arvin@suse.de
- better trigger for dial on demand connection during internet
  connection test
- 2.7.30
* Fri Mar 07 2003 - msvec@suse.de
- restart smpppd after DSL and modem configuration (#24663)
- change permissions of files containing wireless keys (#24842)
- drop valid chars check of the wireless key (#24839)
- updated testsuite
- 2.7.29
* Thu Mar 06 2003 - arvin@suse.de
- better result in internet connection test (bug #24734)
- avoid rocking progress labels during internet connection test
- 2.7.28
* Wed Mar 05 2003 - msvec@suse.de
- updated kdesu kinternet call (#14320)
- 2.7.27
* Tue Mar 04 2003 - arvin@suse.de
- fixed testsuite
* Tue Mar 04 2003 - arvin@suse.de
- redesigned "Internet Connection Test" dialogue (bug #23775)
* Mon Mar 03 2003 - msvec@suse.de
- proofread texts
- better proxy proposal summary
- default proxy proposal to disabled (#24277)
- translated double clicks to edit (#23997)
- don't read Routing in modem proposal (#24114)
- offer USB and PCMCIA network cards in DSL configuration (#24056)
- provide function for testing DSL devices (#24004)
- 2.7.24
* Sat Mar 01 2003 - nashif@suse.de
- enable host and proxy configurations for autoyast
* Fri Feb 28 2003 - mvidner@suse.de
- Fix writing /etc/sysconfig/network/routes in the network proposal (#24114).
- 2.7.23
* Thu Feb 27 2003 - arvin@suse.de
- start isdn subsystem before isdn internet connection test
* Thu Feb 27 2003 - mvidner@suse.de
- Sometimes package installation wrongly returned abort (#24316).
- Don't select custom providers if there are none (#23994).
- Fixed disabling the USB and PCMCIA checkboxes (#24332).
- 2.7.21
* Thu Feb 27 2003 - arvin@suse.de
- fixed asking for provider password during internet connection
  test
* Thu Feb 27 2003 - kkeil@suse.de
- fix FIREWALL handling in ISDN (#24089)
* Wed Feb 26 2003 - arvin@suse.de
- fixed result field of internet test (bug #24354)
* Mon Feb 24 2003 - mvidner@suse.de
- Added proxy to the network configuration proposal (#24204).
- 2.7.18
* Mon Feb 24 2003 - arvin@suse.de
- only access widget with id s4 if it exists (bug #23800)
* Fri Feb 21 2003 - arvin@suse.de
- better text for "abort installation" popup (bug #24019)
* Fri Feb 21 2003 - arvin@suse.de
- better help text for network test (bug #23866)
* Fri Feb 21 2003 - arvin@suse.de
- fixed Provider handling in Internet module (bug #23991)
* Thu Feb 20 2003 - arvin@suse.de
- really download release notes
* Wed Feb 19 2003 - msvec@suse.de
- changed proxy info popup text (#23728)
- added missing host editor entry to Y2CC
- surpress ProgressBar warning (#23796)
- 2.7.12
* Mon Feb 17 2003 - kkaempf@suse.de
- dialogs.ycp:AskForPassword() must be global.
* Mon Feb 17 2003 - kkeil@suse.de
- reenable isdn in provider dialog (#23725)
* Mon Feb 17 2003 - msvec@suse.de
- don't read the lan devices in DSL proposal (#23569)
- allow comma in phone number (#23678)
- 2.7.9
* Fri Feb 14 2003 - msvec@suse.de
- fix homepage and hotline (#23600)
- partially fix the status problem (#23593)
- 2.7.8
* Tue Feb 11 2003 - arvin@suse.de
- fixed testsuite
* Mon Feb 10 2003 - msvec@suse.de
- better hotplug devices support (#19478)
- correct wlan kernel module names (#23491)
- start cups server detection after write
- installation bugfixes
- proof read texts
- 2.7.6
* Tue Feb 04 2003 - arvin@suse.de
- added missing inst_{ask,do}_net_test.ycp files
* Mon Feb 03 2003 - msvec@suse.cz
- P2P tunneling protocol
- ISDN: support for AVM T1B version
- Capi-ADSL PPP mode
- proofread texts
- bugfixes
- 2.7.4
* Tue Jan 28 2003 - kkaempf@suse.de
- fix testsuite
- switch of progress in autoinstall read.
- 2.7.3
* Mon Jan 27 2003 - msvec@suse.de
- new installation dialogs for internet connection
- autoinst and other bug fixes
- updated testsuite
- 2.7.2
* Mon Jan 20 2003 - msvec@suse.de
- providers: quote variables (they are enclosed in 's) (#22776)
- routing: fill in available devices (#21122)
- other bugfixes
- 2.7.1
* Wed Jan 08 2003 - msvec@suse.de
- dsl:
  o add/edit/delete (#15301, #17217, #19855)
  o enable to change the device start mode (#14315)
  o propose the network card config if none found
- general:
  o new hosts manipulation and editor (#20970)
  o display info popup during proposal detection
  o new devices manipulation
- hardware:
  o ARCnet support
  o FDDI support
  o preliminary MyriNet support (#21129)
- lan:
  o editing of hardware settings (#15062, #10077, #12378)
  o remove kernel module after delete
  o warning if device number changed (#21288)
  o propose also if install.inf present but no hardware found
  o preliminary virtual aliases support (only edit|delete so far)
- providers:
  o UI mode (#6244, #16291, #21499)
  o new providers handling (#17496, #18356)
  o correctly handle the providers with unknown type
  o correctly handle the nameservers requirement
  o check the name servers IP addresses
- proxy:
  o display info popup at the end of configuration
  o use /root/.curlrc for storing proxy user and password (#21431)
  o added minimal input constraints (#18791)
  o allow to turn on|off with a checkbox
- routing:
  o fixed crash (#21334)
  o minor GUI clenup and fixes
- 2.7.0
* Mon Oct 21 2002 - msvec@suse.cz
- fixed default gateway in the complex routing dialog (#21122)
- 2.6.33
* Thu Oct 17 2002 - msvec@suse.cz
- moved firewall checkbox to the isdn interface dialog (#18840)
- 2.6.32
* Wed Oct 16 2002 - arvin@suse.de
- the string returned from ip2hex has a fixed with
  of 8 now (bug #20936)
* Mon Oct 14 2002 - msvec@suse.cz
- really use the custom device number (#17346)
- 2.6.30
* Wed Oct 09 2002 - msvec@suse.cz
- setup network in the firewall setup (#18840)
- 2.6.29
* Mon Oct 07 2002 - msvec@suse.cz
- disable the s390 specific dialog
- don't restart network after proxy configuration (#19615)
- really enable the new proxy settings (#20179)
- allow to choose custom network device (#17346)
- fix firewall setup (#18840)
- 2.6.28
* Fri Sep 13 2002 - arvin@suse.de
- activate service network when saving isdn (bug #19625)
- 2.6.27
* Mon Sep 09 2002 - msvec@suse.cz
- chmod a+r /etc/resolv.conf (#19188)
- the package is not noarch any more (#19206)
- 2.6.26
* Thu Sep 05 2002 - kkeil@suse.de
- write FIREWALL=[yes|no] for isdn (additional fix for #18840)
- don't start smpppd/kinternet in save only mode (#18831)
- set default STARTMODE for interface depending on STARTMODE
  of hardware
- 2.6.25
* Wed Sep 04 2002 - msvec@suse.cz
- write the correct ISDN device for the firewall (#18840)
- regenerate profiles by SuSEconfig after proxy data change (#18791)
- set up the network service also for modems and DSL (#18770)
- added the s390 network devices types
- 2.6.24
* Mon Sep 02 2002 - msvec@suse.cz
- proxy example help text (#18721)
- 2.6.23
* Thu Aug 29 2002 - msvec@suse.cz
- fixed testsuite (new Installation.ycp constructor)
- 2.6.22
* Tue Aug 27 2002 - msvec@suse.cz
- provide/obsolete old translation packages
- possibility to edit wireless settings (#9209)
- 2.6.21
* Fri Aug 23 2002 - msvec@suse.cz
- new screen for s390 hsi devices
- prepare ISDN for the mail config question (#18256)
- enable defaultroute editing again (#17498)
- partial fix for the hostname problems (#17741)
- preliminary support for s390 devices
- updated testsuite
- 2.6.20
* Tue Aug 20 2002 - jsuchome@suse.cz
- updated dialogs's look (#17572)
* Tue Aug 20 2002 - arvin@suse.de
- don't stop/start network during writing of proposal on s390
* Mon Aug 19 2002 - kkeil@suse.de
- display long provider name for isdn overview (#17564)
- 2.6.18
* Mon Aug 19 2002 - kkeil@suse.de
- check and install needed packages for isdn (#17615)
* Mon Aug 19 2002 - mvidner@suse.cz
- Now cardbus cards are detected, so use eth-pcmcia-0
  and STARTMODE=hotplug (#13571).
* Fri Aug 16 2002 - jsuchome@suse.cz
- Providers: Added simple check for user name for T-Online provider
  (#16756, #6244)
* Fri Aug 16 2002 - mvidner@suse.cz
- DSL device: write a dummy ifcfg file (#17631).
- DSL provider: allow switching between T-Online/other (kkeil).
* Fri Aug 16 2002 - jsuchome@suse.cz
- ISDN: Checked user input in "own phone number" (#16756).
* Thu Aug 15 2002 - jsuchome@suse.cz
- Corrected bug in writing modem configuration (check for providers
  change).
* Thu Aug 15 2002 - mvidner@suse.cz
- ISDN: saving interface/provider although not configured fixed (jsuchome).
- Restrict valid characters for the wireless encryption key (#17546).
- Disable DHCP related widgets when switching to static config (#17391).
* Wed Aug 14 2002 - mvidner@suse.cz
- Installation proposal: differentiate between static and dhcp
  network settings provided by linuxrc (#16471).
- Exclude DSL, ISDN and modem control center entries
  on s390 and s390x (#17675).
- Merged proofread texts for the second translation round.
- 2.6.17
* Tue Aug 13 2002 - kkeil@suse.de
- add support for Fritz!DSL
- fix bug according regexpsub in DSLDevice module
* Mon Aug 12 2002 - arvin@suse.de
- fixed testsuite
* Mon Aug 12 2002 - mvidner@suse.cz
- Proxy: fix writing (#17623)
- Routing: use a transparent icon (#16868).
- 2.6.15
* Sun Aug 11 2002 - mvidner@suse.cz
- Make "yast2 network" invoke "yast2 lan" (#17570).
- Testsuite adapted to Runlevel changes due to #17608.
* Fri Aug 09 2002 - nashif@suse.de
- lower case of wireless/pcmcia options
* Tue Aug 06 2002 - msvec@suse.cz
- adapt proposal to the new install.inf agent
- 2.6.13
* Tue Aug 06 2002 - arvin@suse.de
- adapted testsuite to new /etc/install.inf agent
* Mon Aug 05 2002 - msvec@suse.cz
- install required packages for modem (#16863) and dsl (#14315)
- fixed help texts
- 2.6.11
* Mon Jul 29 2002 - msvec@suse.cz
- remove deleted providers after Delete (#16094)
- start kinternet after modem and isdn config (#14320)
- fixed writing of additional providers (#17221)
- possibility to enter infinite (0) idle timeout (#17218)
- fixed caption, enabled defaultroute by default (#17219)
- 2.6.10
* Wed Jul 24 2002 - kkeil@suse.de
- ISDN interface and multi provider setup
- simple dialin server setup
- D-channel protocol selection depends on HW database
- cleanups
- 2.6.9
* Wed Jul 24 2002 - msvec@suse.cz
- fixed some error messages
- fix progress bar steps (#17180)
- propose something only if there's nothing configured
- 2.6.8
* Mon Jul 22 2002 - msvec@suse.cz
- set up network in runlevels 2,3,5 (#17076)
- write proxy user/pass to /root/.wgetrc (#17005)
- fixed multiple proposals (#17016)
- merged proofread texts
- wireless help text
- 2.6.7
* Mon Jul 15 2002 - msvec@suse.cz
- proxy configuration
- namespace hacks <arvin>
- 2.6.6
* Thu Jul 11 2002 - mvidner@suse.cz
- general library: Added {check,valid}_address, valid_ip4.
- 2.6.5
* Wed Jul 10 2002 - msvec@suse.cz
- wireless network cards support (#9209)
- run also SuSEconfigs for apache, sendmail and postfix (#16710)
- remove netcard modules after delete (#16797)
- correct IP details dialog
- fixed providers filter
- 2.6.4
* Thu Jul 04 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Mon Jul 01 2002 - msvec@suse.cz
- multiple providers support for modems
- yast2-config-network -> yast2-network
- netmask bits function and testsuite
- new providers dialogs
- added stupid mode checkbox (#16330)
- IP6 checking
- tell mail who is calling (#13565)
- merged with yast2-lib-network
- allow IP settings for ISDN rawip connections (#16309)
- always write ifcfg- file entries with '' (#16549)
- removed dependence on -trans package
- network card proposal
- updated testsuite
- common connection dialog
- default language heuristics
- new modem and providers dialogs
- use "rewrite" for providers files
- always save providers with values enclosed in '' (#16069)
- use config files
- 2.6.2
* Wed May 15 2002 - msvec@suse.cz
- added checking of error values to routing
- fixed Abort confirmation in routing, dns (#14926)
- IP forwarding support (#13053)
- preliminary support for virtual network interfaces
- allow * and & in Phone number, don't check pass emptiness (#16021)
- ask for mail config after save (#13565)
- enable DHCP checkboxes only in case of any DHCP device (#13223)
- better modems summary and overview
- prepared for the overall network config
- properly fix substring lookup (#13735)
- 2.6.1
* Wed Apr 17 2002 - msvec@suse.cz
- updated testsuite due to #15694
- properly support externally modified resolv.conf
- abort confirmation should work better cross modules (#14926)
- agent for sysconfig/sysctl
- added labels to DNS config (#13443)
- allow setup of DHCP resolv.conf setting (#14792)
- limit allowable characters in DNS dialog (#15653)
- limit allowable characters in routing dialog
- fixed checkycp complaints in ISDN config
- use ycpdoc more-dirs mode
- 2.6.0
* Tue Mar 26 2002 - ro@suse.de
- added yast2 to neededforbuild (modules/Mode.ycp)
* Sat Mar 23 2002 - kkeil@suse.de
- fix empty custom provider problem (#15425)
- 2.5.52
* Thu Mar 21 2002 - kkeil@suse.de
- don't load drivers in proposal mode (#15078)
* Thu Mar 21 2002 - mvidner@suse.cz
- Added autoloading of a network card module for DSL.
  (if there is only one). #15182
- A "Finished" popup for DSL. (#15074)
- 2.5.51
* Mon Mar 18 2002 - mvidner@suse.cz
- Providers::Commit should come before ISDN::Commit.
  Fixes #15079 (provider name empty in ifcfg-ippp0)
- 2.5.50
* Mon Mar 18 2002 - mvidner@suse.cz
- Fixed writing of network card module options. (#15061)
- 2.5.49
* Mon Mar 18 2002 - pblahos@suse.cz
- Providers: window with countries is disabled when custom providers
  are selected. (#15063)
- 2.5.48
* Thu Mar 14 2002 - msvec@suse.cz
- minor documentation fixes
- enhanced testsuite
- 2.5.47
* Wed Mar 13 2002 - kkeil@suse.de
- don't reload driver, if only interface data was changed (#14865)
- call Provider::Commit only if needed (#14145)
- 2.5.46
* Wed Mar 13 2002 - msvec@suse.cz
- update /etc/hosts also if only the IP address changes (#14182)
- added textdomain to menuentries for dns and routing
- removed obsolete help text
- 2.5.45
* Tue Mar 12 2002 - msvec@suse.cz
- better syntax for default gateway (#14878)
- setup hostname before writing xauth info (#14530)
- enhanced Firewall testsuite
- 2.5.44
* Mon Mar 11 2002 - msvec@suse.cz
- return empty map on canceled autoinst (#14526)
- 2.5.43
* Mon Mar 11 2002 - kkeil@suse.de
- fix to use LFS script path
- called rcisdn twice (part of #14777)
- allways use ComboBox for driver (#14665, #14772)
* Mon Mar 11 2002 - pblahos@suse.cz
- It isn't necessary to specify a password when "Always ask me for
  a password" is set in ISDN provider setup (#14774)
- 2.5.41
* Fri Mar 08 2002 - kkeil@suse.de
- start mode must allow hotplug for netif too (#13853)
- smpppd should setup as last action
- 2.5.40
* Fri Mar 08 2002 - msvec@suse.cz
- preserve /dev/modem symlink loops (#14577)
- removed obsolete help texts and added missing (#14462)
- 2.5.39
* Thu Mar 07 2002 - pblahos@suse.cz
- Check for Connection name uniqueness did not work (#14620)
- When duplicate Provider name or Connection name was entered no
  error message was shown (#14618)
- version 2.5.38
* Thu Mar 07 2002 - kkeil@suse.de
- fix allways write config bug (#14528)
* Wed Mar 06 2002 - kkeil@suse.de
- fix Add/Edit/Delete disable/enable (#13899)
- fix onboot/hotplug STARTMODE (#13853)
- save provider related info (username and phone) only in
  provider file (#6169)
- add Test carddriver (#2618)
- add ask allways for password (#12413)
- idle timeout in seconds, default=60 (#13222)
- setup smpppd (#13172)
- change finish to OK (part #13707)
- USEPEERDNS and DEFAULTROUTE now enabled in default (#14177)
- fix wrong matches for ppp if here are ippp devices
- disable IP setting if dynamic IP is selected (#13218)
- add warning if an binonly driver is selected
- only legal ISA cards and parport devices have parameter
- add more help text
* Tue Mar 05 2002 - lslezak@suse.cz
- do not show ippp devices in modem configuration (#13735)
- version 2.5.37
* Mon Mar 04 2002 - arvin@suse.de
- default for AUTODNS is "yes" for modems
- providers configured for modem don't support isdn and vice
  versa (bug #14071)
* Mon Mar 04 2002 - mvidner@suse.cz
- Fixed a race when writing /etc/resolv.conf (#13982)
- 2.5.35
* Mon Mar 04 2002 - arvin@suse.de
- include STARTMODE in dsl config file (bug #14315)
* Sun Mar 03 2002 - arvin@suse.de
- use correct provider name "dsl-provider0" in ifcfg-dsl0
* Sat Mar 02 2002 - kkaempf@suse.de
- Fix routing agent (#14184).
- Enable edit/delete for a single entry also (kkeil@suse.de).
* Fri Mar 01 2002 - mvidner@suse.cz
- Always save the DNS configuration so that /etc/hosts is saved
  even if only the IP address changes. (#14182)
- Input validation in provider editing fixed. (#14209)
- 2.5.31
* Wed Feb 27 2002 - msvec@suse.cz
- set DHCLIENT_SET_DOWN_LINK only for pcmcia cards
- 2.5.30
* Mon Feb 25 2002 - msvec@suse.cz
- disable firewall checkbox is SuSEfirewall2 is active (#13639)
- create /dev/modem symlink (#13764)
- 2.5.29
* Mon Feb 25 2002 - msvec@suse.cz
- support of USB network cards (#13364)
- added PCMCIA/USB ugly symlink hackery
- ensuring that *SUPPORTED are present when writting (#13873)
- better checking of values of variables ASKPASSWORD, STUPIDMODE,
  COMPUSERVE, ISDNSUPPORTED, DSLSUPPORTED, MODEMSUPPORTED
- 2.5.28
* Mon Feb 25 2002 - msvec@suse.cz
- updated testsuite
- proper PCMCIA support
- don't require personal-firewall any more
- don't show isdn cards in modem config (#13735)
- checking that ASKPASSWORD, STUPIDMODE, COMPUSERVE, ISDNSUPPORTED,
  DSLSUPPORTED, MODEMSUPPORTED is yes or no <pblahos@suse.cz>
- the option ASKPASSWORD must be yes or no <arvin@suse.de>
- changes due to providers: provider file names changed from
  XX.wvdial.conf to XX.conf. <pblahos@suse.cz>
- 2.5.27
* Wed Feb 20 2002 - msvec@suse.cz
- always allow hostname setting (#13427)
- fixed dhcp hostname writing (#13642)
- added support for personal firewall to DSL
- changes due to new providers <pblahos@suse.cz>
- added check for empty interface
- enhanced firewall interface
- 2.5.26
* Wed Feb 20 2002 - msvec@suse.cz
- added support for personal firewall to modems
- use " as the default delimiter in sysconfig
- fixed some network strings (#6646)
- 2.5.25
* Tue Feb 19 2002 - msvec@suse.cz
- DSL: nice idle combo box
- DSL: added check for empty user name
- DSL: removed pppmode combo box for T-Online
- DSL: default name servers for T-Online
- DSL: updated texts (#13553)
- 2.5.24
* Tue Feb 19 2002 - msvec@suse.cz
- fixed broken initial startup
- fixed filtering of modem/isdn/dsl providers
- merged Connection details screen to connection
- set IDLE to 300 by default
- 2.5.23
* Tue Feb 19 2002 - msvec@suse.cz
- DSL T-Online mode added
- don't write DSL settings if nothing changed
- 2.5.22
* Mon Feb 18 2002 - msvec@suse.cz
- removed checkIP builtins
- BOOTMODE -> STARTMODE and updated testsuite
- fixed modem speaker and carier writing
- added filtering of providers that support modem/dsl (#13499)
- files containing custom providers are now (0600, root, root) (#13353)
- use yast2-db-country for getting nice name of country of provider (#13397)
- proposals: no more two reads, reset and writing functional (#13410)
- provides/obsoletes yast2-config-adsl
- DSL configuration finished (#12971)
- ISDN support by kkeil@suse.de
- 2.5.21
* Fri Feb 15 2002 - msvec@suse.cz
- use yast2-db-country for the countries list
- DSL configuration dialogs (#12971)
- added pppoe and pppoatm switch
- DSL preliminary write support
- 2.5.20
* Fri Feb 15 2002 - msvec@suse.cz
- don't write dns and routing if not modified
- support for PCMCIA network cards (#13362, #13365)
- set boot mode of PCMCIA cards to "hotplug" (#13368)
- add netcards list to the package (#13378)
- 2.5.19
* Fri Feb 15 2002 - msvec@suse.cz
- some isdn dialogs fixes
- more texts proof reading
- 2.5.18
* Thu Feb 14 2002 - msvec@suse.cz
- don't start smpppd during installation (#13249)
- don't write routing or DNS if it's not modified
- check IP addresses, hostname and domains (#13201)
- also check in routing and DNS config
- added writing of .probe.status
- delete modules.conf entries
- closed a lot of bugs
- 2.5.17
* Wed Feb 13 2002 - msvec@suse.cz
- ISDN configuration in progress
- layout of the "Select providers" screen changed.
- name of country for custom providers changed Other --> Custom
- always saves (MODEM|ISDN|DSL)SUPPORTED
- 2.5.16
* Tue Feb 12 2002 - msvec@suse.cz
- added proposals (only summary so far)
- fixed format of custom providers and added missing fields
- provider stuff removed from Modem module
- added functions Export/Import into Providers
- 2.5.15
* Mon Feb 11 2002 - pblahos@suse.cz
- implemented module Providers
- don't set FQ hostname
- 2.5.14
* Tue Feb 05 2002 - msvec@suse.cz
- fixed PPPD_OPTIONS writing
- setup smpppd(8)
- 2.5.13
* Fri Feb 01 2002 - msvec@suse.cz
- fixed CarrierDetect and SpeakerOn initstrings
- some more minor modem fixes
- 2.5.12
* Wed Jan 30 2002 - msvec@suse.cz
- added preliminary dsl dialogs
- write detected PPPD_OPTIONS
- AutoReconnect is not supported any more
- removed some other obsolete settings
- proof-read texts
- 2.5.11
* Tue Jan 29 2002 - msvec@suse.cz
- reading progress for modems and isdn
- modems writing and configuration partly done
- 2.5.10
* Tue Jan 29 2002 - msvec@suse.cz
- network cards summary done
- preliminary work for modems and isdn config
- modems and isdn summary and overview screens
- 2.5.9
* Mon Jan 28 2002 - nashif@suse.de
- Adapted for auto-installation
- 2.5.8
* Mon Jan 28 2002 - msvec@suse.cz
- fixed default route writing
- 2.5.7
* Fri Jan 25 2002 - msvec@suse.cz
- fixed modules initialization and cleanup (#12905)
- fix writing of kernel modules for manually added cards
- autoinstallation support for routing, dns, modems and isdn
- ISDN configuration UI (no reading or writing)
- fixed modem shortcuts
- use Summary module
- 2.5.6
* Thu Jan 24 2002 - msvec@suse.cz
- modems configuration UI
- expect missing /etc/resolv.conf
- preliminary lan autoinstallation support
- 2.5.5
* Wed Jan 23 2002 - msvec@suse.cz
- writing modules.conf
- preliminary summary clients
- 2.5.4
* Wed Jan 16 2002 - msvec@suse.cz
- preliminary clients and for modem, ISDN and DSL
- interaction of search and domain in resolv.conf
- correct use of /etc/sysconfig/network/routes
- added some help texts
- 2.5.3
* Tue Jan 15 2002 - msvec@suse.cz
- DNS and routing clients
- DNS writing somehow functional
- use /etc/HOSTNAME for hostname
- 2.5.2
* Mon Jan 14 2002 - msvec@suse.cz
- preliminary DNS dialog
- routing configuration functional
- use toupper, merge and remove builtins
- preliminary version of modem and ISDN dialogs
- added agents for routing and DNS
- 2.5.1
* Wed Jan 09 2002 - msvec@suse.cz
- complete rewrite (almost no old code left)
- updated network cards list from yast1
- supports new /etc/sysconfig scheme
- only dialog layouts are similar
- uses modules and devtools
- new agents added
- 2.5.0
* Tue Sep 25 2001 - dan@suse.cz
- test for running i4l only if it exists (#11286)
* Mon Sep 24 2001 - dan@suse.cz
- start smpppd only if it exists (#11250)
- fix adding providers for PCMCIA
* Fri Sep 21 2001 - dan@suse.cz
- add PollInput to avoid strange UserInput behavior
  also fixes (#11069)
* Tue Sep 18 2001 - dan@suse.cz
- start smpppd after starting ISDN (#10545)
- enable to write 0.0.0.0 as default route (#10751)
- 2.4.16
* Fri Sep 14 2001 - msvec@suse.cz
- fixed shortcuts (#10401)
- 2.4.14
* Fri Sep 14 2001 - dan@suse.cz
- generate correct device numbers (#10580)
- start smpppd after starting ISDN (#10545)
- fix values from install.inf (#10628)
- just one DNS is needed for modems (#10640)
* Wed Sep 12 2001 - dan@suse.cz
- adding providers for PCMCIA cards fix (#10116)
- 2.4.12
* Tue Sep 11 2001 - dan@suse.cz
- use LSB complainant return values
- remember entered DNS values
* Mon Sep 10 2001 - dan@suse.cz
- fixed reading exiting configuration (also #10348)
* Thu Sep 06 2001 - msvec@suse.cz
- progress bar again functional
- fixed some anyagent error messages
- fixed route writing (maybe also #10123)
- 2.4.9
* Wed Sep 05 2001 - msvec@suse.cz
- fixed some CallFunction(lan_route)
- fixed some other CallFunctions
- fixed some untranslated messages
- hopefully finally fixed the hostname settings (#10192)
- more trailing whitespace removed
- use :: in the dns configuration
- 2.4.8
* Tue Sep 04 2001 - msvec@suse.cz
- partial fix of duplicated variables (#9991)
- fixed SCR variables (#10031)
- fixed route writing (#10123)
- removed some trailing whitespace
- fixed some typos (#10034)
- enabled parseycp check
- fixed complex dialog
- fixed hostname settings
- 2.4.7
* Fri Aug 31 2001 - ro@suse.de
- added <libycp-devel> to neededforbuild (for testsuite)
* Wed Aug 22 2001 - dan@suse.cz
- static DNS enabled for ISDN flow (also #6020)
* Tue Aug 21 2001 - msvec@suse.cz
- fixed netcards.ycp database
- removed more obsolete builtins
- fixed some minor bugs
- 2.4.5
* Tue Aug 21 2001 - msvec@suse.cz
- removed obsolete fileexist builtin
- enabled abuild checking
- 2.4.4
* Thu Aug 16 2001 - dan@suse.cz
- adoption to the new probe format
* Tue Aug 14 2001 - msvec@suse.cz
- AddtoSecrets fixed (#9716)
- AddtoSecrets testsuite
- 2.4.2
* Fri Jul 27 2001 - dan@suse.cz
- hostname change re-enabled on a running system
* Fri Jul 20 2001 - dan@suse.cz
- split of the nfs services, sendmail and nis configuration <msvec@suse.cz>
- removed superfluous first dialog of NFS client <mvidner@suse.cz>
- version 2.4.0
- new libycp adoption
- minor text changes
* Tue Jul 10 2001 - ro@suse.de
- removed yast2-core-translator from neededforbuild
* Tue May 22 2001 - dan@suse.cz
- removing search from resolv.conf fixed (#8578)
* Tue May 15 2001 - dan@suse.cz
- propagate installation parameter to set-up hostname during installation (#7964)
- set-up /etc/HOSTNAME after reboot (#8344)
- write MODEM variable into rc.config (#7895)
* Tue May 15 2001 - kkaempf@suse.de
- write "--module hostname" to /var/lib/YaST2/run_suseconfig to
  force hostname change propagation on next reboot.
* Tue May 15 2001 - dan@suse.cz
- write PCMCIA ISDN cards under NETCONFIG_PCMCIA instead of NETCONFIG
  in the rc.config file (bug #8069)
- y2log cleanup (bug #8327)
* Mon May 14 2001 - dan@suse.cz
- do not write empty headers into '/etc/resolv.conf' (bug #8299)
* Mon May 14 2001 - dan@suse.cz
- write hostname for PCMCIA cards (bug #7964)
- run full SuSE config during intsllation to set-up '/etc/HOSTNAME' (bug
  #8183)
- DNS info writting fixed (bug #8256)
* Fri May 11 2001 - dan@suse.cz
- quote user and name in '/etc/ppp/ioptions.<dev>'
- message in DNS popup fixed (#8071)
* Fri May 11 2001 - dan@suse.cz
- Inherits fixes for modem (#7968)
- do not stop/start PCMCIA directly
- message fixes for DNS dialog
* Mon May 07 2001 - dan@suse.cz
- manual setup flow fixed
- allow to change hostname during installation (#7630)
- writing of chap/pap secrets fixed (#7377)
* Fri May 04 2001 - dan@suse.cz
- reindexing isdn cards when reindexing
- unique keys handeling unified
* Mon Apr 30 2001 - dan@suse.cz
- isdn subclass fixes
* Fri Apr 27 2001 - dan@suse.cz
- resolving fixes
- multiple bugfixes in workflow
* Tue Apr 24 2001 - dan@suse.cz
- fixes for modem, isdn
- ypclient fix
- summary info fixes
* Tue Apr 17 2001 - dan@suse.cz
- summary added
- isdn config files under /etc/ppp/providers
- menuentries fixed
- saving resolv.conf fixed
* Tue Apr 17 2001 - kkaempf@suse.de
- set "START_PORTMAP" to "yes" when configuring NFS server (#6270)
* Thu Apr 12 2001 - dan@suse.cz
- new resolving and hwprobe compliant
- abort button allowed again
* Thu Apr 05 2001 - msvec@suse.cz
- translation package rename
- documentation moved to $RPMNAME
- enabled abuild checking
- version 2.3.3
* Tue Apr 03 2001 - kukuk@suse.de
- Remove ycpdoc from requires
* Fri Mar 30 2001 - dan@suse.cz
- alone function header removed
* Fri Mar 30 2001 - dan@suse.cz
- more new libycp addopting, using wizard library,
- adopting to the new resolver agent
* Tue Mar 27 2001 - dan@suse.cz
- switch to the new libycp
- package rename
* Fri Jan 26 2001 - msvec@suse.cz
- translation fix (broken textdomains) #6166
* Fri Jan 26 2001 - arvin@suse.de
- use absolute path for rci4l scripts
* Fri Jan 26 2001 - dan@suse.de
- temporal fix of rcnfsserver start call (bug #6157)
* Fri Jan 26 2001 - dan@suse.cz
- ISDN default vaules fix (bug #6151)
* Thu Jan 25 2001 - dan@suse.cz
- minor log fixes, added providers.ycp to enamble translation of ISP
  countries
* Mon Jan 22 2001 - dan@suse.cz
- missing textdomain
* Mon Jan 22 2001 - dan@suse.cz
- include missing
* Fri Jan 19 2001 - smid@suse.cz
- bugfixes
* Thu Jan 18 2001 - dan@suse.cz
- wait for dhclient up to 55 secs that should be enough.
- don't start dhclient for pcmcia cards
- always write "off" to pcmcia device
* Wed Jan 17 2001 - smid@suse.cz
- bugfixes
* Tue Jan 16 2001 - dan@suse.cz
- editing fixes
* Tue Jan 16 2001 - smid@suse.cz
- many bugfixes
* Mon Jan 15 2001 - mike@suse.de
- bug 5617 confusing names
* Mon Jan 15 2001 - dan@suse.cz
- mostly button fixes, dhclient delay increased
* Fri Jan 12 2001 - kkaempf@suse.de
- mark routing helptext as translatable
* Fri Jan 12 2001 - smid@suse.de
- next button in route dialog fixed
- forgotten debug dialog from isdn removed
* Thu Jan 11 2001 - dan@suse.de
- pcmcia fixes, enabling dhclient to set hostname
- personal firewall checkbox added
* Thu Jan 11 2001 - smid@suse.cz
- bugfixes
* Wed Jan 10 2001 - smid@suse.cz
- bugfixes (xauth, saving)
* Tue Jan 09 2001 - dan@suse.cz
- new configuration workflow (another version :))
* Thu Jan 04 2001 - dan@suse.cz
- new configuration workflow
* Tue Dec 19 2000 - smid@suse.cz
- added detection of init strings
* Tue Dec 19 2000 - dan@suse.cz
- more bugfixes (#4833, #4737, #4838, #4815)
* Mon Dec 18 2000 - dan@suse.cz
- more fixes (esp. checks), isdn saving fix (bugs #4738, #4751)
* Fri Dec 15 2000 - dan@suse.cz
- fixes of bugs #4736, #4734, #4733, #4731
* Fri Dec 15 2000 - dan@suse.cz
- passing unique_keys fixed, y2t_lan required again
* Fri Dec 15 2000 - dan@suse.cz
- restarting network just in the case of editing ethernet or token ring (bug #4677)
* Fri Dec 15 2000 - dan@suse.cz
- PCMCIA fix (for manual), minor changes (default values ...)
* Wed Dec 13 2000 - mike@suse.de
- new menuentry
* Wed Dec 13 2000 - dan@suse.cz
- spec file fixed (missing database for manual selection)
- xauth agent used for setting xauthority
* Sun Dec 10 2000 - dan@suse.cz
- ypcliet script is ypbind now
- debug dialog removed from sendmail config
* Sun Dec 10 2000 - dan@suse.cz
- typo fixed
* Sat Dec 09 2000 - dan@suse.cz
- Unknown provider label when provider is not recognized
- fixed route saving
- fixed modem list
* Fri Dec 08 2000 - kendy@suse.cz
- Fixed saving of resolv.conf and route.conf
- test_mode switched off in dialup
- added textdomains for dialup modules
- /sbin/init.d changed to /etc/init.d
* Thu Dec 07 2000 - kkaempf@suse.de
- fix double qouted terms
* Thu Dec 07 2000 - kkaempf@suse.de
- fix dhcp setup
* Wed Dec 06 2000 - kkaempf@suse.de
- read default values from /etc/install.inf
* Wed Dec 06 2000 - kkaempf@suse.de
- fix filelist in spec
* Wed Dec 06 2000 - kkaempf@suse.de
- use bzip2 for packaging
* Fri Dec 01 2000 - dan@suse.cz
- merge with dial, initial
* Fri Oct 27 2000 - dan@suse.de
- configuration of more devices enabled.
* Mon Jul 24 2000 - dan@suse.de
- added cheching for running NIS server (bugfix of #3422) and testing if /etc/route.conf exists (bugfix #3627)
* Mon Jul 24 2000 - kkaempf@suse.de
- fix ip address checking
  version 2.0.22
* Thu Jul 20 2000 - kkaempf@suse.de
- dont check unwanted values
  version 2.0.21
* Thu Jul 13 2000 - kkaempf@suse.de
- call ifconfig before rcdhclient
  version 2.0.20
* Thu Jul 13 2000 - dan@suse.de
- minor dhcp changes (now accepts both dhclient and dhcpcd, longer delay)
* Tue Jul 11 2000 - kkaempf@suse.de
- bump version to 2.0.18
* Mon Jul 10 2000 - dan@suse.de
- fixed dhcp configuration
* Fri Jul 07 2000 - kkaempf@suse.de
- fix modules.conf writing
  version 2.0.16
* Tue Jul 04 2000 - dan@suse.de
- fixed cheching of running DHCP client
* Mon Jul 03 2000 - dan@suse.de
- added message for dhcp error
* Fri Jun 30 2000 - dan@suse.de
- Correct setting of hostname and domainname, bugfix (bug #2461)
* Fri Jun 30 2000 - dan@suse.de
- calling /bin/domainname to set correct domain name (bugfix, bug #3084)
* Thu Jun 29 2000 - dan@suse.de
- correction of calling split function
* Thu Jun 29 2000 - dan@suse.de
- fixed bug #3085, allow to enter more than one NIS servers (space separated)
* Thu Jun 29 2000 - kkaempf@suse.de
- put y2t_lan as Requires
* Thu Jun 29 2000 - dan@suse.de
- fixed smarthost bug (bug #3013)
* Mon Jun 26 2000 - kkaempf@suse.de
- messages fixes
  version 2.0.8
* Fri Jun 23 2000 - dan@suse.de
- comment for translators
* Thu Jun 22 2000 - dan@suse.de
- correction of calling anyagents
* Thu Jun 22 2000 - dan@suse.de
- more message corrections
* Wed Jun 21 2000 - dan@suse.de
- messages corrections
* Tue Jun 20 2000 - dan@suse.de
- NFS problems (hopefully) fixed
* Fri Jun 16 2000 - dan@suse.de
- sendmail configuration, nfs configuration, bugfixes
* Thu Jun 08 2000 - dan@suse.cz
- ypclient added, kernel card support
* Fri May 19 2000 - kkaempf@suse.de
- initial version
